Inhalte

# Add-in-Funktionen, Liste der Analysefunktionen Teil 2

Die Plug-in-Funktionen werden vom UNO-Service com.sun.star.sheet.addin.Analysis bereitgestellt.

So greifen Sie auf diesen Befehl zu:

Einfügen – Funktion… – Kategorie: Add-in

## IMCOS

Ergibt den Kosinus einer komplexen Zahl.

## IMCOSHYP

Ergibt den Kosinus Hyperbolicus einer komplexen Zahl.

## IMCOT

Ergibt den Kotangens einer komplexen Zahl.

## IMCOSEC

Ergibt den Kosekans einer komplexen Zahl.

## IMCOSECHYP

Ergibt den Kosekans Hyperbolicus einer komplexen Zahl.

## IMSEC

Ergibt den Sekans einer komplexen Zahl.

## IMSECHYP

Ergibt den Sekans Hyperbolicus einer komplexen Zahl.

## IMSIN

Ergibt den Sinus einer komplexen Zahl.

## IMSINH

Ergibt den Sinus Hyperbolicus einer komplexen Zahl.

## IMTAN

Ergibt den Tangens einer komplexen Zahl.

## Funktion UMRECHNEN

Rechnet einen Wert aus einer Maßeinheit in eine andere um.

## IMABS

Das Ergebnis ist der Absolutbetrag einer komplexen Zahl.

#### Syntax

IMABS("KomplexeZahl")

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

#### Beispiel

=IMABS("5+12j") ergibt 13.

## IMAGINÄRTEIL

Das Ergebnis ist der imaginäre Anteil einer komplexen Zahl.

#### Syntax

IMAGINÄRTEIL("KomplexeZahl")

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

#### Beispiel

=IMAGINÄRTEIL("4+3j") ergibt 3.

## IMARGUMENT

Das Ergebnis ist das Argument (der Winkel phi) einer komplexen Zahl.

#### Syntax

IMARGUMENT("KomplexeZahl")

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

#### Beispiel

=IMARGUMENT("3+4j") ergibt 0,927295.

## IMDIV

Das Ergebnis ist die Division aus zwei komplexen Zahlen.

#### Syntax

IMDIV("Zähler"; "Nenner")

Zähler, Nenner sind komplexe Zahlen, die in der Form "x+yi" oder "x+yj" eingegeben werden.

#### Beispiel

=IMDIV("-238+240i";"10+24i") ergibt 5+12i.

## IMEXP

Das Ergebnis ist die Potenz aus e (der Eulerschen Zahl) mit der komplexen Zahl. Die Konstante e hat den ungefähren Wert 2,71828182845904.

#### Syntax

IMEXP("KomplexeZahl")

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

#### Beispiel

=IMEXP("1+j") ergibt 1,47+2,29j (gerundet).

## IMKONJUGIERT

Das Ergebnis ist das konjugiert komplexe Komplement zu einer komplexen Zahl.

#### Syntax

IMKONJUGIERT("KomplexeZahl")

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

#### Beispiel

=IMKONJUGIERT("1+j") ergibt 1-j.

## IMLN

Das Ergebnis ist der natürliche Logarithmus (mit der Basis e) einer komplexen Zahl. Die Konstante e hat den ungefähren Wert 2,71828182845904.

#### Syntax

IMLN("KomplexeZahl")

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

#### Beispiel

=IMLN("1+j") ergibt 0,35+0,79j (gerundet).

## IMLOG10

Das Ergebnis ist der dekadische Logarithmus einer komplexen Zahl.

#### Syntax

IMLOG10("KomplexeZahl")

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

#### Beispiel

=IMLOG10("1+j") ergibt 0,15+0,34j (gerundet).

## IMLOG2

Das Ergebnis ist der binäre Logarithmus einer komplexen Zahl.

#### Syntax

IMLOG2("KomplexeZahl")

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

#### Beispiel

=IMLOG2("1+j") ergibt 0,50+1,13j (gerundet).

## IMPOTENZ

Berechnet Komplexe_Zahl hoch Zahl.

#### Syntax

IMPOTENZ("Komplexe_Zahl"; Zahl)

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

Zahl ist der Exponent.

#### Beispiel

=IMPOTENZ("2+3i";2) ergibt -5+12i.

## IMPRODUKT

Das Ergebnis ist das Produkt mehrerer komplexer Zahlen.

#### Syntax

IMPRODUKT(Komplexe Zahl 1 [; Komplexe Zahl 2 [; … [; Komplexe Zahl 255]]])

Komplexe Zahl 1, Komplexe Zahl 2, …, Komplexe Zahl 255 sind komplexe Zahlen oder Verweise auf Zellen oder Zellbereiche mit komplexen Zahlen. Komplexe Zahlen müssen in der Form "x+yi" oder "x+yj" angegeben sein.

#### Beispiel

=IMPRODUKT("3+4j";"5-3j") ergibt 27+11j.

## IMREALTEIL

Das Ergebnis ist der reelle Anteil einer komplexen Zahl.

#### Syntax

IMREALTEIL("KomplexeZahl")

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

#### Beispiel

=IMREALTEIL("1+3j") ergibt 1.

## IMSUB

Das Ergebnis ist die Subtraktion aus zwei komplexen Zahlen.

#### Syntax

IMSUB("KomplexeZahl 1"; "KomplexeZahl 2")

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

#### Beispiel

=IMSUB("13+4j";"5+3j") ergibt 8+j.

## IMSUMME

Das Ergebnis ist die Summe mehrerer komplexer Zahlen.

#### Syntax

IMSUMME(Komplexe Zahl 1 [; Komplexe Zahl 2 [; … [; Komplexe Zahl 255]]])

Komplexe Zahl 1, Komplexe Zahl 2, …, Komplexe Zahl 255 sind komplexe Zahlen oder Verweise auf Zellen oder Zellbereiche mit komplexen Zahlen. Komplexe Zahlen müssen in der Form "x+yi" oder "x+yj" angegeben sein.

#### Beispiel

=IMSUMME("13+4j";"5+3j") ergibt 18+7j.

## IMWURZEL

Das Ergebnis ist die Wurzel einer komplexen Zahl.

#### Syntax

IMWURZEL("KomplexeZahl")

KomplexeZahl ist eine komplexe Zahl, die in der Form "x+yi" oder "x+yj" eingegeben wird.

#### Beispiel

=IMWURZEL("3+4i") ergibt 2+1i.

## KOMPLEXE

Das Ergebnis ist eine komplexe Zahl, die sich aus Realteil und Imaginärteil ergibt.

#### Syntax

KOMPLEXE(Realteil; Imaginärteil [; Suffix])

Realteil ist der reelle Koeffizient der komplexen Zahl.

Imaginärteil ist der imaginäre Koeffizient der komplexen Zahl.

Suffix ist eine Liste von Optionen, "i" oder "j".

#### Beispiel

=KOMPLEXE(3;4;"j") ergibt 3+4j.

## OKTINBIN

Das Ergebnis ist die Zeichenfolge, welche die Zahl in binärer Form (Basis 2) für die eingegebene Oktalzahl darstellt.

#### Syntax

OKTINBIN(Zahl [; Stellen])

Zahl ist eine Zeichenfolge, die eine Oktalzahl darstellt. Sie kann maximal 10 Stellen haben. Das höchstwertige Bit ist das Vorzeichenbit, die folgenden Bits geben den Wert zurück. Negative Zahlen werden als Zweierkomplement eingegeben.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

#### Beispiel

=OKTINBIN("3";3) gibt "011" zurück.

## OKTINDEZ

Das Ergebnis ist die Zahl für die eingegebene Zeichenfolge der Oktalzahl.

#### Syntax

OKTINDEZ(Zahl)

Zahl ist eine Zeichenfolge, die eine Oktalzahl darstellt. Sie kann maximal 10 Stellen haben. Das höchstwertige Bit ist das Vorzeichenbit, die folgenden Bits geben den Wert zurück. Negative Zahlen werden als Zweierkomplement eingegeben.

#### Beispiel

=OKTINDEZ("144") gibt 100 zurück.

## OKTINHEX

Das Ergebnis ist die Zeichenfolge, welche die Zahl in hexadezimaler Form für die eingegebene Zeichenfolge der Oktalzahl darstellt.

#### Syntax

OKTINHEX(Zahl [; Stellen])

Zahl ist eine Zeichenfolge, die eine Oktalzahl darstellt. Sie kann maximal 10 Stellen haben. Das höchstwertige Bit ist das Vorzeichenbit, die folgenden Bits geben den Wert zurück. Negative Zahlen werden als Zweierkomplement eingegeben.

Stellen bezieht sich auf die Anzahl der Stellen, die ausgegeben werden.

#### Beispiel

=OKTINHEX("144";4) gibt "0064" zurück.

## ZWEIFAKULTÄT

Ergibt die Zweifakultät einer Zahl.

#### Syntax

ZWEIFAKULTÄT(Zahl)

Ergibt Zahl !!, die Zweifakultät von Zahl. Zahl ist eine ganze Zahl größer gleich Null.

Für gerade Zahlen ergibt ZWEIFAKULTÄT(n):

2*4*6*8* … *n

Für ungerade Zahlen ergibt ZWEIFAKULTÄT(n):

1*3*5*7* … *n

Per Definition ergibt ZWEIFAKULTÄT(0) 1.

#### Beispiel

=ZWEIFAKULTÄT(5) ergibt 15.

=ZWEIFAKULTÄT(6) ergibt 48.

=ZWEIFAKULTÄT(0) ergibt 1.

Verwandte Themen

Add-in-Funktionen

Add-in-Funktionen, Liste der Analysefunktionen Teil 1

Statistikfunktionen

Funktionen nach Kategorie